/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace ifetch_unit {
namespace ifetch_unit_glue {


#undef  FUNCTION
#define FUNCTION "Ifetch_unit_Glue::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,Ifetch_unit_Glue,FUNCTION,"Begin");

    XML xml ("ifetch_unit_glue");

    xml.balise_open("ifetch_unit_glue");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_printf(FUNC,Ifetch_unit_Glue,FUNCTION,"End");
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "Ifetch_unit_Glue::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::multi_front_end::front_end::ifetch_unit::ifetch_unit_glue::Parameters & x)
  {
    log_printf(FUNC,Ifetch_unit_Glue,FUNCTION,"Begin");

    output_stream << x.print(0);
    
    log_printf(FUNC,Ifetch_unit_Glue,FUNCTION,"End");

    return output_stream;
  };

}; // end namespace ifetch_unit_glue
}; // end namespace ifetch_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
